nth_element.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity>
auto | ranges::nth_element (I first, I nth, S end_, C pred=C{}, P proj=P{}) -> I requires random_access_iterator< I > &&sortable< I, C, P >
| function template `nth_element`
template<typename Rng , typename C = less, typename P = identity>
auto | ranges::nth_element (Rng &&rng, iterator_t< Rng > nth, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires random_access_range< Rng > &&sortable< iterator_t< Rng >, C, P >